Page 1 of 1

/etc/zce.rc-rpm doesn't exist!

Posted: Sat Sep 12, 2009 10:26 pm
by colinflack
OS is Fedora FC11 64bit

Zend-CE was working but some update or other appears to have broken it

Code: Select all

[root@mc1 bin]# ./zendctl.sh
/etc/zce.rc-rpm doesn't exist!
zce.rc-rpm def. doesnt exist on the machine
yum doesnt know where to find it
web searches for this error or file dont show anything helpful

can anybody tell me whats gone wrong?

other stuff...
rpm -qa|grep zend-ce shows this...

Code: Select all

zendutils-zend-ce-1.0.48-7.x86_64
zend-ce-doc-1.0-59.noarch
zend-ce-4.0-127.noarch
php5-common-extensions-zend-ce-1.0-75.noarch
php-zip-zend-ce-5.2.10-0.x86_64
php-xsl-zend-ce-5.2.10-0.x86_64
php-xmlwriter-zend-ce-5.2.10-0.x86_64
php-xmlreader-zend-ce-5.2.10-0.x86_64
php-tokenizer-zend-ce-5.2.10-0.x86_64
php-tidy-zend-ce-5.2.10-0.x86_64
php-sqlite-zend-ce-5.2.10-0.x86_64
php-sockets-zend-ce-5.2.10-0.x86_64
php-soap-zend-ce-5.2.10-0.x86_64
php-posix-zend-ce-5.2.10-0.x86_64
php-pgsql-zend-ce-5.2.10-0.x86_64
php-pdo-pgsql-zend-ce-5.2.10-23.x86_64
php-pdo-oci-zend-ce-5.2.10-1.x86_64
php-pdo-mysql-zend-ce-5.2.10-3.x86_64
php-oci8-zend-ce-5.2.10-0.x86_64
php-mysqli-zend-ce-5.2.10-1.x86_64
php-mysql-zend-ce-5.2.10-4.x86_64
php-mime-magic-zend-ce-5.2.10-0.x86_64
php-mhash-zend-ce-5.2.10-0.x86_64
php-mcrypt-zend-ce-5.2.10-0.x86_64
php-mbstring-zend-ce-5.2.10-0.x86_64
php-ldap-zend-ce-5.2.9-20.x86_64
php-json-zend-ce-5.2.10-0.x86_64
php-intl-zend-ce-5.2.10-0.x86_64
php-imap-zend-ce-5.2.10-0.x86_64
php-gettext-zend-ce-5.2.10-0.x86_64
php-gd-zend-ce-5.2.10-0.x86_64
php-ftp-zend-ce-5.2.10-0.x86_64
php-fcgi-zend-ce-5.2.10-44.x86_64
php-exif-zend-ce-5.2.10-0.x86_64
php-dev-zend-ce-5.2.10-33.x86_64
php-curl-zend-ce-5.2.10-0.x86_64
php-ctype-zend-ce-5.2.10-0.x86_64
php-calendar-zend-ce-5.2.10-0.x86_64
php-bz2-zend-ce-5.2.10-0.x86_64
php-bcmath-zend-ce-5.2.10-0.x86_64
optimizer-plus-zend-ce-4.0.33-11.x86_64
mod-php5-apache2-zend-ce-5.2.10-74.x86_64
lighttpd-zend-ce-1.4.22-78.x86_64
libframework1-zend-ce-1.8.3-57.noarch
gui-zend-ce-4.0.31-9.noarch
extension-manager-zend-ce-5.1.60-17.x86_64
debugger-zend-ce-5.2.22-45.x86_64
data-cache-zend-ce-4.0.44-12.x86_64
/etc/yum.repos.d/zend.repo looks like this...

Code: Select all

[Zend]
name=Zend CE $releasever - $basearch - Released Updates
baseurl=http://repos.zend.com/rpm/ce/$basearch/
enabled=1
gpgcheck=0

[Zendce-noarch]
name=Zend CE - noarch
baseurl=http://repos.zend.com/rpm/ce/noarch
enabled=1
gpgcheck=0

Re: /etc/zce.rc-rpm doesn't exist!

Posted: Sun Sep 13, 2009 7:05 am
by jess04
Hello,

I'm not quite certain what happened to your installation but I would recommend that you change your repo file to point to:
http://repos.zend.com/zend-server/rpm/$basearch and http://repos.zend.com/zend-server/rpm/noarch, like so:

Code: Select all

[Zend]
name=Zend Server
baseurl=http://repos.zend.com/zend-server/rpm/$basearch
enabled=1
gpgcheck=0

[Zend_noarch]
name=Zend Server - noarch
baseurl=http://repos.zend.com/zend-server/rpm/noarch
enabled=1
gpgcheck=0
This is the new Zend repository that holds both CE and ZendServer packages.
If you wish to install CE with PHP 5.2.10, please run:

Code: Select all

# yum install zend-server-ce-php-5.2 
If you wish to install CE with PHP 5.3.0, please run:

Code: Select all

# yum install zend-server-ce-php-5.3
If you require further assistance, please let me know,

Re: /etc/zce.rc-rpm doesn't exist!

Posted: Wed Sep 16, 2009 1:31 am
by colinflack
Hello and thanks very much for reply
I'm not quite certain what happened to your installation
ummhh well neither am I but I'm pretty sure I got the zend.repo setup info from Zend.com somewhere
a quick google says theres a pdf here...
http://www.zend.com/topics/Zend-Server- ... V403-2.pdf

anyway I dunno what happened to it either, but never mind

anyway2, yum found the new repos ok, but perhaps your install instruction isnt quite right...

Code: Select all

[root]#yum install zend-server-ce-5.2
[root]#No package zend-server-ce-5.2 available.
but this seems to work much better....

Code: Select all

yum install zend-server-ce-php-5.2
and whadaya know - all is well with the world again :-)

thanks

Re: /etc/zce.rc-rpm doesn't exist!

Posted: Sun Nov 14, 2010 4:40 am
by mmmshuddup

Code: Select all

[root@myserver ~]# cat /etc/yum.repos.d/zend.repo 
[Zend Server]
name=Zend Server $releasever - $basearch
baseurl=http://repos.zend.com/zend-server/rpm/$basearch
enabled=1
gpgcheck=0
[Zend -noarch]
name=Zend Server - noarch
baseurl=http://repos.zend.com/zend-server/rpm/noarch
enabled=1
gpgcheck=0
[root@myserver ~]# yum install zend-server-ce-php-5.3
Loaded plugins: fastestmirror
Bad id for repo: Zend Server, byte =   4
Bad id for repo: Zend -noarch, byte =   4
Loading mirror speeds from cached hostfile
 * addons: pubmirrors.reflected.net
 * base: mirror.ubiquityservers.com
 * extras: mirror.steadfast.net
 * updates: centos.mirrors.tds.net
Setting up Install Process
No package zend-server-ce-php-5.3 available.
Nothing to do
That's my zend.repo file as well as my attempt at installing zend server CE via yum. The yum install doesn't work as you can see. Can anyone help?

Re: /etc/zce.rc-rpm doesn't exist!

Posted: Sun Nov 14, 2010 12:49 pm
by liorkaplan
I seem that the problem is the spaces in the repo name (the one inside [...] ).

You can use this:

Code: Select all

[Zend]
name=Zend Server
baseurl=http://repos.zend.com/zend-server/rpm/$basearch
enabled=1
gpgcheck=0
gpgkey=http://repos.zend.com/zend.key

[Zend_noarch]
name=Zend Server - noarch
baseurl=http://repos.zend.com/zend-server/rpm/noarch
enabled=1
gpgcheck=0
gpgkey=http://repos.zend.com/zend.key
If you like, you can turn the gpgcheck on.

Re: /etc/zce.rc-rpm doesn't exist!

Posted: Sun Nov 14, 2010 10:01 pm
by mmmshuddup
Thanks!

Yeah I found a different post about the spaces in the yum repo yesterday so I fixed that and it worked!